"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Counter = void 0;
const abstract_counter_1 = require("./abstract-counter");
class Counter extends abstract_counter_1.AbstractCounter {
    /**
     * @constructor
     * @this {Counter}
     * @param targetValue counter target value
     * @param onFire callback function
     * @param initialStep initial counter value
     * @param args callback's arguments
     * @throws Error if initial value greatest then target value
     */
    constructor(targetValue, onFire, initialStep = 0, ...args) {
        super(targetValue, onFire, initialStep, ...args);
    }
    /**
     * Increment current value of counter
     */
    increment() {
        if (this.activated)
            return;
        super.increment();
    }
    /**
     * Marker of counter state
     */
    get activated() {
        return this.currentStep == this.targetValue;
    }
}
exports.Counter = Counter;
