"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CycledCounter = void 0;
const abstract_counter_1 = require("./abstract-counter");
class CycledCounter extends abstract_counter_1.AbstractCounter {
    /**
     * @constructor
     * @this {CycledCounter}
     * @param targetValue counter target value
     * @param onFire callback function
     * @param initialStep initial counter value
     * @param args callback's arguments
     * @throws Error if initial value greatest then target value
     */
    constructor(targetValue, onFire, initialStep = 0, ...args) {
        super(targetValue, onFire, initialStep, ...args);
    }
    /**
     * Function of changing counter value
     * @param lastStep Prevous step of counter
     *
     * @returns Number value of new step value
     * @protected
     */
    changeStep(lastStep) {
        const result = (lastStep + 1) % (this.targetValue);
        return result;
    }
    /**
     * @protected
     * @param step Current step value
     * @param targetValue Trigger value
     *
     * @returns Boolean signal of matching
     */
    checkMatch(currenctValue, target) {
        return currenctValue == 0;
    }
}
exports.CycledCounter = CycledCounter;
